servant-0.11: A family of combinators for defining webservices APIs

Safe Haskell | Safe
Language | Haskell2010

Servant.API.WithNamedContext

Synopsis

- data WithNamedContext name subContext subApi

# Documentation

data WithNamedContext name subContext subApi Source #

`WithNamedContext` names a specific tagged context to use for the combinators in the API. (See also in `servant-server`, `Servant.Server.Context`.) For example:

    type UseNamedContextAPI = WithNamedContext "myContext" '[String] (
        ReqBody '[JSON] Int :> Get '[JSON] Int)

Both the `ReqBody` and `Get` combinators will use the `WithNamedContext` with type tag "myContext" as their context.

`Context`s are only relevant for `servant-server`.

For more information, see the tutorial.